import { Box, BoxProps, Typography, TypographyProps } from '@mui/material';
import { ElementType } from 'react';

export function TBox<C extends ElementType>({ component, ...rest }: BoxProps<C, { component: C }>) {
  return <Box component={component} {...rest} />;
}

export function TTypography<C extends ElementType>({ component, ...rest }: TypographyProps<C, { component: C }>) {
  return <Typography component={component} {...rest} />;
}
